Do I need to set a classpath for packages that I wish to import from like Swing, if I'm using JSDK 1.3 or replace it with 1.2.2? If so how do I do that?

John Zukowski

The Swing classes are a standard package with the 1.2 and 1.3 releases. You should not replace them as you would then have a non-standard Java release and cannot redistribute this. As far as changing the CLASSPATH goes, with the 1.2/1.3 releases it is easier to just add JAR files to the jre/lib/ext directory or classes to the jre/classes directory (initially non-existent) then have to muck with setting the CLASSPATH.

0 Comments  (click to add your comment)
Comment and Contribute






(Maximum characters: 1200). You have 1200 characters left.



About | Sitemap | Contact